package com.example.dentaldroid;

import java.util.ArrayList;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.ContentResolver;
import android.content.DialogInterface;
import android.content.Intent;
import android.database.Cursor;
import android.os.Bundle;
import android.provider.ContactsContract;
import android.provider.ContactsContract.CommonDataKinds.Email;
import android.provider.ContactsContract.CommonDataKinds.Phone;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListView;

public class Contactos extends Activity implements OnItemClickListener{

	
	private static ListView lista;
	private static ArrayList<Contacto> contactos;
	
	public void onCreate(Bundle savedInstanceState){
		super.onCreate(savedInstanceState);
		//setContentView(R.layout.pestana1);
		setContentView(R.layout.lista);
		
		contactos = consultaAgenda();
		
		lista = (ListView) findViewById(R.id.lista);
		lista.setAdapter(new MiAdaptadorContacto(this, contactos));
		lista.setOnItemClickListener(this);
	}
	
	private ArrayList<Contacto> consultaAgenda(){
		   
        ArrayList<Contacto> resultado = new ArrayList<Contacto>();
        Contacto contacto;
       
        //adquirimos el ContentResolver que se usa para acceder a la informacin de los
        //ContentProviders que nos suministra Android.
        ContentResolver contentresolver = getContentResolver();
       
        //TODO Poner en el ltimo argumento (ORDER BY) --> ContactsContract.Contacts.DISPLAY_NAME+"ASC"
        Cursor mCursor = contentresolver.query(ContactsContract.Contacts.CONTENT_URI, null, null, null, ContactsContract.Contacts.DISPLAY_NAME+" ASC");
        if(mCursor.getCount()>0){
        	
        	
        	startManagingCursor(mCursor);
        	
        	while(mCursor.moveToNext()){
        		String id = mCursor.getString(mCursor.getColumnIndex(ContactsContract.Contacts._ID));
        		String name = mCursor.getString(mCursor.getColumnIndex(ContactsContract.Contacts.DISPLAY_NAME));
        		if(Integer.parseInt(mCursor.getString(mCursor.getColumnIndex(ContactsContract.Contacts.HAS_PHONE_NUMBER))) > 0){
        			Cursor pCursor = contentresolver.query(ContactsContract.CommonDataKinds.Phone.CONTENT_URI, null,
        					ContactsContract.CommonDataKinds.Phone.CONTACT_ID +" = ?", new String[]{id}, null);
        			
        			Cursor eCursor = contentresolver.query(ContactsContract.CommonDataKinds.Email.CONTENT_URI, null,
        					ContactsContract.CommonDataKinds.Email.CONTACT_ID +" = ?", new String[]{id}, null);
        			
        			startManagingCursor(pCursor);
        			startManagingCursor(eCursor);
        			
        			int numberIndex = pCursor.getColumnIndex(Phone.NUMBER);
        			int emailIndex = eCursor.getColumnIndex(Email.DATA);
        			String number = null;
        			String email = null;
        			//int emailIndex = eCursor.getColumnIndex(ContactsContract.CommonDataKinds.Email.DATA);
        			while (pCursor.moveToNext()) {
        				number = pCursor.getString(numberIndex);
        				//resultado.add("Nombre: " + name + "; Telfono: " + number + "; Email: " + email);
        	        }
        			while(eCursor.moveToNext()){
        				email = eCursor.getString(emailIndex);
        			}
        			
        			contacto = new Contacto(name, number, email);
        			resultado.add(contacto);
        			        			
        			stopManagingCursor(pCursor);
        			stopManagingCursor(eCursor);
        		}
        	}
        	stopManagingCursor(mCursor);
        }
        return resultado;
    }

	@Override
	public void onItemClick(AdapterView<?> parent, View v, int position, long id) { 
		
		Contacto contactsel = contactos.get(position); //Al array de contactos le pasamos la posicin para recuperar los datos.
		
		Intent i = new Intent(this, EnvioEmail.class);
		i.putExtra("email", contactsel.getEmail());
		//aadido
		i.putExtra("nombre", contactsel.getNombre());
		//aadido
		i.putExtra("telefono", contactsel.getNumero());
		
		popIt("Recordar cita", "Desea enviar un email para confirmar la cita?", i);
	}
	
	private void popIt(String title, String message, final Intent i) {
		// TODO Auto-generated method stub
		
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setTitle(title)
		.setMessage(message)
		.setCancelable(false).setPositiveButton("S", new DialogInterface.OnClickListener() {
			
			@Override
			public void onClick(DialogInterface dialog, int which) {
				// TODO Auto-generated method stub
				
				Contactos.this.startActivity(i);
			}
		})
		.setNegativeButton("No", new DialogInterface.OnClickListener() {
			
			@Override
			public void onClick(DialogInterface dialog, int which) {
				// TODO Auto-generated method stub
				
				dialog.cancel();
			}
		});
		
		builder.create().show();
		
	}
	
}
