package com.example.dentaldroid;

import java.util.ArrayList;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;
import com.example.dentaldroid.Contacto;

public class MiAdaptadorContacto extends BaseAdapter{
	
	private static ArrayList<Contacto> listacontactos;

	private LayoutInflater miInflater;
	
	public MiAdaptadorContacto(Context context, ArrayList<Contacto> results) {
		
		listacontactos = results;
		miInflater = LayoutInflater.from(context);
	}


	public int getCount() {
		return listacontactos.size();
	}


	public Object getItem(int position) {
		return listacontactos.get(position);
	}

	public long getItemId(int position) {
		return position;
	}

	public View getView(int position, View convertView, ViewGroup parent) {
		ViewHolder holder;
		
		if(convertView == null){
			convertView = miInflater.inflate(R.layout.list_view_lista, null);
			holder = new ViewHolder();
			holder.nombre = (TextView) convertView.findViewById(R.id.nombre);
			holder.telefono = (TextView) convertView.findViewById(R.id.telefono);
			holder.email = (TextView) convertView.findViewById(R.id.email);
			
			convertView.setTag(holder);
		}else{
			holder = (ViewHolder) convertView.getTag();
		}
		
		holder.nombre.setText(listacontactos.get(position).getNombre());
		holder.telefono.setText(listacontactos.get(position).getNumero());
		holder.email.setText(listacontactos.get(position).getEmail());
		
		
		return convertView;
	}
	
	static class ViewHolder{
		TextView nombre;
		TextView telefono;
		TextView email;
	}

}
