package com.example.dentaldroid;

import java.util.List;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class MiAdaptadorImporte extends BaseAdapter{
	
	private static List<Cuenta> listacuentas;
	private LayoutInflater miInflater;
	
	
	public MiAdaptadorImporte(Context context, List<Cuenta> results){
		listacuentas = results;
		miInflater = LayoutInflater.from(context);
	}

	@Override
	public int getCount() {
		return listacuentas.size();
	}

	@Override
	public Object getItem(int position) {
		return listacuentas.get(position);
	}

	@Override
	public long getItemId(int position) {
		return position;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		ViewHolder holder;
		
		if(convertView == null){
			convertView = miInflater.inflate(R.layout.list_view_cuentas, null);
			holder = new ViewHolder();
			holder.importe = (TextView) convertView.findViewById(R.id.importe);
			holder.fecha = (TextView) convertView.findViewById(R.id.fecha);
			
			convertView.setTag(holder);
		}else{
			holder = (ViewHolder) convertView.getTag();
		}
		
		holder.fecha.setText(listacuentas.get(position).getFecha());
		holder.importe.setText(listacuentas.get(position).getImporte());
		
		return convertView;
	}
	
	static class ViewHolder{
		TextView fecha;
		TextView importe;
	}

}
