package com.example.dentaldroid;

import java.util.ArrayList;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.View.OnClickListener;
import android.widget.BaseAdapter;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.TextView;

public class MiAdaptadorTratamiento extends BaseAdapter {

	private static ArrayList<Tratamiento> listatratamientos;
	private LayoutInflater miInflater;
	
	public MiAdaptadorTratamiento(Context context, ArrayList<Tratamiento> results){
		
		listatratamientos = results;
		miInflater = LayoutInflater.from(context);
	}
	
	public int getCount() {
		return listatratamientos.size();
	}

	public Object getItem(int position) {
		return listatratamientos.get(position);
	}

	public long getItemId(int position) {
		return position;
	}

	public View getView(int position, View convertView, ViewGroup parent) {
		// TODO Adaptador ListView.xml
		ViewHolder holder;
		
		if(convertView == null){
			convertView = miInflater.inflate(R.layout.list_view_tratamientos, null);
			holder = new ViewHolder();
			holder.titulo = (TextView) convertView.findViewById(R.id.titulo);
			holder.check = (CheckBox) convertView.findViewById(R.id.check);
			holder.cantidad = (EditText) convertView.findViewById(R.id.cantidad);
			holder.descripcion = (TextView) convertView.findViewById(R.id.descripcion);
			holder.precio = (TextView) convertView.findViewById(R.id.precio);
			
			convertView.setTag(holder);
			convertView.setOnClickListener(new OnItemClickListener(position));
		}else{
			holder = (ViewHolder) convertView.getTag();
		}
		
		holder.titulo.setText(listatratamientos.get(position).getTitulo());
		holder.check.setFocusable(false);
		holder.cantidad.setFocusable(false);
		holder.descripcion.setText(listatratamientos.get(position).getDescripcion());
		holder.precio.setText(listatratamientos.get(position).getPrecio());
		
		notifyDataSetChanged();
		
		return convertView;
	}
	
	private class OnItemClickListener implements OnClickListener{

		private int mPosition;
		
		private EditText cantidad;
		private CheckBox check;

		
		OnItemClickListener(int position){
			mPosition = position;
		}
		
		@Override
		public void onClick(View arg0) {
			// TODO Auto-generated method stub
			
			//As accedemos al campo Cantidad(EditText) 
			LinearLayout itemLista = (LinearLayout) arg0;
			LinearLayout elementoItem = (LinearLayout) itemLista.getChildAt(1);
			cantidad = (EditText) elementoItem.getChildAt(1);
			
			
			//As accedemos al campo Check(CheckBox)
			LinearLayout elementoItem2 = (LinearLayout) itemLista.getChildAt(0);
			check = (CheckBox) elementoItem2.getChildAt(1);
			
			
			
			//TODO Prueba 30/05 --------------------------------- Funciona perfecto con el mtodo "pruebaCalculo"
			if(!ListaTratamiento.seleccionados[mPosition]){
				ListaTratamiento.seleccionados[mPosition] = true;
				check.setChecked(true);
				popIt("Seleccione una cantidad", "Seleccione el nmero que desee..", arg0, cantidad);
				
			}else{
				ListaTratamiento.seleccionados[mPosition] = false;
				check.setChecked(false);
				cantidad.setText("0");
				ListaTratamiento.cantidades[mPosition] = 0;
			}
			//---------------------------------------------------
			
			
		}

		//TODO Prueba 31/05 -------------------------------------
		public void popIt(String title, String message, View arg0, final EditText cantidad) {
			
			final String[] items = {"1", "2", "3", "4", "5", "6"};
			
			AlertDialog.Builder builder = new AlertDialog.Builder(arg0.getContext());
			builder.setTitle(title)
			.setItems(items, new DialogInterface.OnClickListener() {
				
				@Override
				public void onClick(DialogInterface dialog, int seleccionado) {
					
					cantidad.setText(items[seleccionado]);
					ListaTratamiento.cantidades[mPosition] = Integer.parseInt(items[seleccionado]);
				}
			});
			
			builder.create().show();
		}
		//--------------------------------------------------------
		
	}

	static class ViewHolder{
		TextView titulo;
		CheckBox check;
		TextView cantidad_texto;
		EditText cantidad;
		TextView descripcion;
		TextView precio;
	}
}
